Subject: Re: Wierd perl problem..
From: Steve Jorgensen <[email-masked]>
To: [email-masked] (Charles S. Wilson)
Cc: [email-masked]
Date: Fri, 22 Oct 1999 12:53:25 -0600 (MDT)

Thanks for all the suggestions, Charles' suggestion below was
	the easiest as it turns out.  

					Steve

Charles S. Wilson wrote
>> A *possible* workaround is to use the perl5.005_61 port from
>> http://cygutils.netpedia.net/. It is compiled so that all default
>> packages are linked statically (not in a dll). *Perhaps* that will solve
>> your particular problem, although it does not address the underlying
>> issue of forks+dlls.
>> 
>> Steve Jorgensen wrote:
>> > 
>> >         I'm having a really strange perl problem under cygwin 1.0
>> > 
>> >         One perl script produces the following output:
>> > 
>> >    0    0 [main] d:\Cygwin\contrib\bin\perl.exe 1114 fork_copy: loaded dll data/bss pass 0 failed, 0x14043000..0x1404300C, done 0, Win32 error 487
>> > 
>> >         and then hangs that shell window half the time.
>> > 
>> >         This happens when the perl script is executing the following line
>> >         of code:
>> > 
>> > chop($LOCALHOST = `hostname`);
>> > 
>> >         hostname is in the path, and works fine.
>> > 
>> >         This only seems to happen if the script has a
>> > use FileHandle;
>> >         line after the initialization stuff I describe above,
>> >         another script with the exact same initialization section
>> >         as the one described above works fine.
>> > 
>> >         Is there something I need to do to get the FileHandle
>> >         stuff working under cygwin, or am I just out of luck?
>> > 
>> >                                         Steve
>> > --
>> > -----------------------------------------------------------
>> > Steven Jorgensen      [email-masked]      [email-masked]
>> > ------------------------------+----------------------------
>> > Khoral Research Inc.          | PHONE: (505) 837-6500
>> > 6200 Uptown Blvd, Suite 200   | FAX:   (505) 881-3842
>> > Albuquerque, NM 87110         | URL: http://www.khoral.com/
>> > -----------------------------------------------------------
>> > 
>> > --
>> > Want to unsubscribe from this list?
>> > Send a message to [email-masked]
>> 

-- 
-----------------------------------------------------------
Steven Jorgensen      [email-masked]	    [email-masked]
------------------------------+----------------------------
Khoral Research Inc.          | PHONE: (505) 837-6500
6200 Uptown Blvd, Suite 200   | FAX:   (505) 881-3842
Albuquerque, NM 87110         | URL: http://www.khoral.com/
-----------------------------------------------------------

--
Want to unsubscribe from this list?
Send a message to [email-masked]